=== debian/changelog ===
ros-galactic-moveit-hybrid-planning (2.3.4-1focal) focal; urgency=high

  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>) (#1023 <https://github.com/ros-planning/moveit2/issues/1023>)
  * Contributors: Tyler Weaver, Vatan Aksoy Tezer, Cory Crean

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 07 Feb 2022 07:00:00 -0000

ros-galactic-moveit-hybrid-planning (2.3.3-1focal) focal; urgency=high



 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 20 Jan 2022 07:00:00 -0000

ros-galactic-moveit-hybrid-planning (2.3.2-1focal) focal; urgency=high

  * Fix syntax (#939 <https://github.com/ros-planning/moveit2/issues/939>)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Contributors: Sebastian Jahr

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 29 Dec 2021 07:00:00 -0000

ros-galactic-moveit-hybrid-planning (2.3.1-1focal) focal; urgency=high

  * Bump new packages to 2.3.0
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * CMake fix and cleanup abstract class (#6 <https://github.com/ros-planning/moveit2/issues/6>)
    * Install hybrid_planning_demo_node separately to avoid exporting it
    * Fix exported include directory
    * Remove getTargetWayPointIndex() from abstract trajectory operator class
    * Delete unused getTargetWayPointIndex()
  * Standardize with moveit_cpp parameters. Fix some parameter loading errors
  * Enable reaction to planner failure in the planner logic (#3 <https://github.com/ros-planning/moveit2/issues/3>)
    * Add unsuccessful action Hybrid Planning events and handle them in logic
    * Replace std::once with simple bool variable
    * Remove unneeded variable and update comments
    Don't const& for built-in types
    Co-authored-by: Tyler Weaver <tylerjw@gmail.com>
  * Update robot state properly
    Update robot state properly; remove debug prints; clang format
    Check if the local planner is stuck within the forward_traj plugin, not local_planner_component
  * Pass GlobalPlanner failing to HybridPlanningManager
  * Move common launch elements to a Python file, for easy re-use
    Refactor Global and Local Planner Components into NodeClasses
    Add a simple launch test (#1 <https://github.com/ros-planning/moveit2/issues/1>)
    Try to fix plugin export; add helpful debug when stuck
    Error if global planning fails
    READY and AWAIT_TRAJ states are redundant
    Lock the planning scene as briefly as possible
    Specify joint group when checking waypoint distance
    Implement a reset() function in the local planner
    Detect when the local planner gets stuck
  * Add generic global planner plugin, support MotionSequenceRequest (#585 <https://github.com/ros-planning/moveit2/issues/585>)
    Fix hybrid planning include folders (#675 <https://github.com/ros-planning/moveit2/issues/675>)
    Order stuff in the CMakeLists.txt and remove control_box package
    Update README
    Move member initialization to initializer lists
    Remove control_box include dependency
    Replace "loop-run" with "iteration"
    Remove cpp interface class constructors and destructors
    Use joint_state_broadcaster, clean up test node, add execution dependencies
    Use only plugin interface header files and add missing dependencies
    Clean up constructor and destructor definitions
    Declare missing parameter in moveit_planning_pipeline_plugin
    Move rclcpp::Loggers into anonymous namespaces
    Switch CI branches to feature/hybrid_planning
    Update message name
    Remove moveit_msgs from .repos file
    Update github workflows
    Remove note from readme about building from source
    Minor renamings, make reset() noexcept
    Check for vector length of zero
    Load moveit_cpp options with the Options helper. Reduces LOC.
    Set the planning parameters within plan()
    Function renaming
    Authors and descriptions in header files only. New header file for error code interface.
    Update namespacing
    Use default QoS for subscribers
    Better progress comparison
    Add publish_joint_positions and publish_joint_velocities param
    Grammar and other minor nitpicks
    Restore moveit_msgs to .repos, for now
  * Refactor local planner plugins (#447 <https://github.com/ros-planning/moveit2/issues/447>)
    * Add reset method for trajectory operator and local constraint sampler
    * Refactor next_waypoint_sampler into simple_sampler
    * Include collision checking to forward_trajectory and remove unneeded plugin
    * Fix formatting and plugin description
    * Update README and add missing planner logic plugin description
    Add TODO to use lifecycle components nodes to trigger initialization
    Return a reaction result instead of bool on react()
    Set invalidation flag to false on reset() in ForwardTrajectory local solver
    Return local planner feedback from trajectory operator function calls
    Fix segfault caused by passing through the global trajectory
    Update comment, unify logging and add missing config parameters
    Update to rolling
  * Restructure hybrid_planning package (#426 <https://github.com/ros-planning/moveit2/issues/426>)
    * Add forward_trajectory local solver plugin (#359 <https://github.com/ros-planning/moveit2/issues/359>)
    * Use ros2_control based joint simulation and remove unnecessary comment
    * Update copyrights
    * Restructure hybrid planning package
    * Fix formatting and add missing time stamp in local solver plugin
    * Remove unnecessary logging and param loading
    * Enable different interfaces between local planner and controller
    * Use JointGroupPositionController as demo hardware controller
  * Code cleanup & MoveIt best practices (#351 <https://github.com/ros-planning/moveit2/issues/351>)
    * Export missing plugins
    * Use std::chrono_literals
    * Construct smart pointers with std::make_* instead of 'new'

